► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Windowing Classes
3 | Windowing Functions
4 | Editors
5 | Snip and Style Classes
6 | Editor Classes
7 | Editor Functions
8 | WXME Decoding
9 | Preferences
10 | Dynamic Loading
11 | Startup Actions
12 | Platform Dependencies
| Index

▼ | 2 | Windowing Classes

2.1 | area<%>
2.2 | area-container<%>
2.3 | area-container-window<%>
2.4 | button%
2.5 | canvas<%>
2.6 | canvas%
2.7 | check-box%
2.8 | checkable-menu-item%
2.9 | choice%
2.10 | clipboard-client%
2.11 | clipboard<%>
2.12 | combo-field%
2.13 | control<%>
2.14 | column-control-event%
2.15 | control-event%
2.16 | cursor%
2.17 | dialog%
2.18 | event%
2.19 | frame%
2.20 | gauge%
2.21 | group-box-panel%
2.22 | grow-box-spacer-pane%
2.23 | horizontal-pane%
2.24 | horizontal-panel%
2.25 | key-event%
2.26 | labelled-menu-item<%>
2.27 | list-box%
2.28 | list-control<%>
2.29 | menu%
2.30 | menu-bar%
2.31 | menu-item<%>
2.32 | menu-item%
2.33 | menu-item-container<%>
2.34 | message%
2.35 | mouse-event%
2.36 | pane%
2.37 | panel%
2.38 | popup-menu%
2.39 | printer-dc%
2.40 | radio-box%
2.41 | selectable-menu-item<%>
2.42 | separator-menu-item%
2.43 | scroll-event%
2.44 | slider%
2.45 | subarea<%>
2.46 | subwindow<%>
2.47 | tab-panel%
2.48 | text-field%
2.49 | timer%
2.50 | top-level-window<%>
2.51 | vertical-pane%
2.52 | vertical-panel%
2.53 | window<%>

On this page:

get-event-type
set-event-type

Inherited methods:
from event%
get-time-stamp
set-time-stamp

top← prev up next →

> class

> control-event% : class?

superclass: event%

A control-event% object contains information about a control event. An instance of control-event% is always provided to a control or menu item callback procedure.

> > constructor

> > (new control-event% |
> > |  | [event-type event-type] |
> > | [ | [time-stamp time-stamp]]) |

> → (is-a?/c control-event%)

> event-type

> :

> (or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'list-box-column
> 'text-field 'text-field-enter
> 'menu 'slider 'radio-box 'tab-panel
> 'menu-popdown 'menu-popdown-none)

> time-stamp : exact-integer? = 0

The event-type argument is one of the following:

- 'button — for button% clicks

- 'check-box — for check-box% toggles

- 'choice — for choice% item selections

- 'list-box — for list-box% selections and deselections

- 'list-box-dclick — for list-box% double-clicks

- 'list-box-column — for list-box% column clicks in a column-control-event% instance

- 'text-field — for text-field% changes

- 'text-field-enter — for single-line text-field% Enter event

- 'menu — for selectable-menu-item<%> callbacks

- 'slider — for slider% changes

- 'radio-box — for radio-box% selection changes

- 'tab-panel — for tab-panel% tab changes

- 'menu-popdown — for popup-menu% callbacks (item selected)

- 'menu-popdown-none — for popup-menu% callbacks (no item selected)

This value is extracted out of a control-event% object with the get-event-type method.

See get-time-stamp for information about time-stamp.

> > method

> > (send a-control-event get-event-type)

> →

> (or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'text-field
> 'text-field-enter 'menu 'slider 'radio-box
> 'menu-popdown 'menu-popdown-none 'tab-panel)

Returns the type of the control event. See control-event% for information about each event type symbol.

> > method

> > (send a-control-event set-event-type type) → void?

> type

> :

> (or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'text-field
> 'text-field-enter 'menu 'slider 'radio-box
> 'menu-popdown 'menu-popdown-none 'tab-panel)

Sets the type of the event. See control-event% for information about each event type symbol.
top← prev up next →